Replaces a single Help Hub configuration while preserving the others.
Provide a single configuration. Permissions: SystemAdministrator, SupportAdministrator users.
Path Parameters
- Type: stringFormat: uuidconfig
Id required
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
- Type: array of string | nullAssigned
Companies - Type: enumAssigned
Roles - Properties: 4Type:Categories
- Type: string | nullName
Responses
Request Example for put/v2/HelpHub/Configurations/{configId}
curl /v2/HelpHub/Configurations/C895A81E-0C20-42C0-B2DC-EAF43F9447BD \
--request PUT \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Name": null,
"Categories": [
{
"Order": 1,
"Name": null,
"IsDefault": true,
"Links": [
{
"Order": 1,
"Title": null,
"Url": null,
"LinkType": null
}
]
}
],
"AssignedRoles": [
"U"
],
"AssignedCompanies": [
""
]
}'
C895A81E-0C20-42C0-B2DC-EAF43F9447BD